Subject: RE: [Ltru] Re: Preparations for smart matching

From: "Peter Constable" <[email-masked]>
Date: Tue, 22 Mar 2005 23:46:00 -0800

> From: [email-masked] [mailto:[email-masked]]
On
> Behalf Of Debbie Garside

> I hate to throw a spanner in the works here but still on the subject
of
> detail... Exactly how much detail can be gleaned from a script code...
> Should we perhaps be looking in even finer detail and at extensibility
> issues e.g.
> en-Character_Set-US
> At least you would end up with something useful, forward looking and
> extendable... :-)

We definitely want extensibility in ways that have potential usefulness
for the future.

If by "Character_Set" you are suggesting that language tags should
include a "charset" component to indicate the character set encoding
used for the data, then I think that would not be a good idea: that's
not an attribute related to the linguistic content; it's an attribute of
the digital representation. The two should really be kept separate.

Peter Constable

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 23 Mar 2005 08:00:48 -0000

>We definitely want extensibility in ways that have potential usefulness

Then surely there is a case for tagging down to the lowest level of variant
available/known... even though you may not need it now...  should this
become a rule?  It may help in future document retrieval/archival processes.

> If by "Character_Set" you are suggesting that language tags should include
>a "charset" component to indicate the character set encoding used for the
>data, then I think that would not be a good idea: that's not an attribute
>related to the linguistic content; it's an attribute of the digital
>representation. The two should really be kept separate.

My remark was a little "tongue in cheek" and in relation to my "detail
remark" as I am unsure of the use of script codes as they seem so broad...

Debbie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Peter Constable
Sent: 23 March 2005 07:46
To: [email-masked]
Subject: RE: [Ltru] Re: Preparations for smart matching

On

of

Peter Constable